Administration 1.1¶
Servers¶
| Description | URL |
|---|---|
| Production environment | https://api.e-portal.com/ep/administration |
| Testing environment | https://api-qas.e-portal.com/ep/administration |
| Development environment | https://api-dev.e-portal.com/ep/administration |
ApplicationAccessScopeMapper¶
GET /api/applications/{applicationGuid}/accessScopes¶
Get access scope mappings for an application
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
api-version |
header | string | No | ||
applicationGuid |
path | string | No | ||
options |
query | No |
Responses
[
{
"accessScopeApplicationsMapperId": 146,
"accessScopeId": 242,
"applicationId": 239,
"state": "string",
"individualExternalLink": "string",
"createdDate": "2022-04-13T15:42:05.901Z",
"createdBy": "2579fe28-a98a-44cb-a627-44f02be705bb",
"modifiedDate": "2022-04-13T15:42:05.901Z",
"modifiedBy": "c2559370-b804-41cc-89ff-218e26dad6de",
"accessScope": {
"accessScopeId": 92,
"accessScopeGuid": "2a179843-0dac-46ef-8813-9ef20a6c3e12",
"name": "string",
"accessScopeKey": "string",
"accessScopeTypeId": 38,
"concreteId": 169,
"description": "string",
"translationGroup": "string",
"isWildcard": true,
"isActive": true,
"createdBy": "69534efc-e819-4c11-b760-8cf60483c288",
"createdDate": "2022-04-13T15:42:05.901Z",
"modifiedBy": "cac46c84-dead-4900-aa22-5e1a4f00c6c3",
"modifiedDate": "2022-04-13T15:42:05.901Z",
"accessScopeType": {
"accessScopeTypeId": 108,
"accessScopeTypeGuid": "c0693255-49bc-42c2-8ec7-4c7acadda1c0",
"name": "string",
"description": "string",
"translationGroup": "string",
"isActive": true,
"createdBy": "47a37554-1958-4935-85f1-45e7ed23940f",
"createdDate": "2022-04-13T15:42:05.901Z",
"modifiedBy": "a2e9036d-bc54-408e-8664-b51a04f9cfe6",
"modifiedDate": "2022-04-13T15:42:05.901Z",
"createdByNavigation": {
"userId": 134,
"userGuid": "1300206f-414c-4380-8d77-48e879d962ca",
"salutation": "string",
"title": "string",
"firstName": "string",
"lastName": "string",
"idpname": "string",
"idpid": "string",
"telephone": "string",
"email": "string",
"status": "string",
"statusId": 23,
"lastLoginDate": "2022-04-13T15:42:05.901Z",
"createdBy": "242e5492-77ec-481a-a88d-163b3407abcc",
"createdDate": "2022-04-13T15:42:05.901Z",
"modifiedDate": "2022-04-13T15:42:05.901Z",
"modifiedBy": "94f628f7-32f7-4691-b3bd-1a959aea41e4",
"jobTitle": "string",
"jobTitleAdditional": "string",
"jobTitleId": 181,
"department": "string",
"languagePreference": "string",
"emailSubscriptions": "string",
"notificationOptions": "string",
"anbversion": "string",
"anbacceptanceDate": "2022-04-13T15:42:05.901Z",
"assignedCustomerSupportGuid": "be6e3227-d3c8-4c31-83b4-35bb110ca404",
"invitedBy": "881a5b01-d01a-451d-af0e-9ae6518724f3",
"invitationDate": "2022-04-13T15:42:05.901Z",
"uipreferences": "string"
},
"modifiedByNavigation": null
},
"createdByNavigation": null,
"modifiedByNavigation": null
},
"application": {
"applicationId": 84,
"applicationGuid": "a65c7552-03de-4949-b70c-33bb79d4e131",
"name": "string",
"description": "string",
"iconDefault": "string",
"iconHover": "string",
"appType": "string",
"renderingMode": "string",
"linkType": "string",
"globalExternalLink": "string",
"isTokenExchangeRequired": true,
"isIframe": true,
"translationGroup": "string",
"isActive": true,
"createdDate": "2022-04-13T15:42:05.901Z",
"createdBy": "a3e1142e-2347-4eaf-bb51-660afc78aa20",
"modifiedDate": "2022-04-13T15:42:05.901Z",
"modifiedBy": "f327fac8-1c80-456d-82fc-4a43d3cd6d27",
"accessScopeApplicationsMappers": null,
"accessScopeTypeApplicationsMappers": [
{
"accessScopeTypeApplicationsMapperId": 220,
"accessScopeTypeId": 251,
"applicationId": 68,
"state": "string",
"createdDate": "2022-04-13T15:42:05.901Z",
"createdBy": "63ccd09e-a048-4a7d-80d6-16c9db8452d8",
"modifiedDate": "2022-04-13T15:42:05.901Z",
"modifiedBy": "93934b8f-ea7f-4cfe-b9ad-cff8cbfc6b1f",
"accessScopeType": null,
"createdByNavigation": null,
"modifiedByNavigation": null
}
],
"translations": [
{
"fieldName": "string",
"languageCode": "string",
"translatedText": "string"
}
],
"createdByNavigation": null,
"modifiedByNavigation": null
},
"createdByNavigation": null,
"modifiedByNavigation": null
}
]
POST /api/applications/{applicationGuid}/accessScopes¶
Create access scope mappings (bulk)
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
api-version |
header | string | No | ||
applicationGuid |
path | string | No |
Request body
[
{
"accessScopeGuid": "cb4e7757-bb37-49c6-a2d9-afd558894fff",
"state": "string",
"individualExternalLink": "string"
}
]
Other accepted types: application/*+json, application/json;IEEE754Compatible=false, application/json;IEEE754Compatible=true, application/json;odata.metadata=full, application/json;odata.metadata=full;IEEE754Compatible=false, application/json;odata.metadata=full;IEEE754Compatible=true, application/json;odata.metadata=full;odata.streaming=false, application/json;odata.metadata=full;odata.streaming=false;IEEE754Compatible=false, application/json;odata.metadata=full;odata.streaming=false;IEEE754Compatible=true, application/json;odata.metadata=full;odata.streaming=true, application/json;odata.metadata=full;odata.streaming=true;IEEE754Compatible=false, application/json;odata.metadata=full;odata.streaming=true;IEEE754Compatible=true, application/json;odata.metadata=minimal, application/json;odata.metadata=minimal;IEEE754Compatible=false, application/json;odata.metadata=minimal;IEEE754Compatible=true, application/json;odata.metadata=minimal;odata.streaming=false, application/json;odata.metadata=minimal;odata.streaming=false;IEEE754Compatible=false, application/json;odata.metadata=minimal;odata.streaming=false;IEEE754Compatible=true, application/json;odata.metadata=minimal;odata.streaming=true, application/json;odata.metadata=minimal;odata.streaming=true;IEEE754Compatible=false, application/json;odata.metadata=minimal;odata.streaming=true;IEEE754Compatible=true, application/json;odata.metadata=none, application/json;odata.metadata=none;IEEE754Compatible=false, application/json;odata.metadata=none;IEEE754Compatible=true, application/json;odata.metadata=none;odata.streaming=false, application/json;odata.metadata=none;odata.streaming=false;IEEE754Compatible=false, application/json;odata.metadata=none;odata.streaming=false;IEEE754Compatible=true, application/json;odata.metadata=none;odata.streaming=true, application/json;odata.metadata=none;odata.streaming=true;IEEE754Compatible=false, application/json;odata.metadata=none;odata.streaming=true;IEEE754Compatible=true, application/json;odata.streaming=false, application/json;odata.streaming=false;IEEE754Compatible=false, application/json;odata.streaming=false;IEEE754Compatible=true, application/json;odata.streaming=true, application/json;odata.streaming=true;IEEE754Compatible=false, application/json;odata.streaming=true;IEEE754Compatible=true, text/json, text/plain
Responses
[
{
"accessScopeApplicationsMapperId": 142,
"accessScopeId": 241,
"applicationId": 216,
"state": "string",
"individualExternalLink": "string",
"createdDate": "2022-04-13T15:42:05.901Z",
"createdBy": "7df944dc-f5f9-4366-a770-3c637ac71509",
"modifiedDate": "2022-04-13T15:42:05.901Z",
"modifiedBy": "7dc2e7c2-c869-4448-9127-4ec852a286cc",
"accessScope": {
"accessScopeId": 137,
"accessScopeGuid": "eceb39b6-8da6-4650-a2bd-59a918c15103",
"name": "string",
"accessScopeKey": "string",
"accessScopeTypeId": 187,
"concreteId": 114,
"description": "string",
"translationGroup": "string",
"isWildcard": true,
"isActive": true,
"createdBy": "dca5e53a-7bdc-4666-983a-629972e655b7",
"createdDate": "2022-04-13T15:42:05.901Z",
"modifiedBy": "2d125d60-fc34-4117-b18b-12d2ed4eaebd",
"modifiedDate": "2022-04-13T15:42:05.901Z",
"accessScopeType": {
"accessScopeTypeId": 159,
"accessScopeTypeGuid": "55372001-3bbd-4995-8a81-f8f890fd2738",
"name": "string",
"description": "string",
"translationGroup": "string",
"isActive": true,
"createdBy": "436dc87f-33ed-47b6-99ff-18e0ffc05212",
"createdDate": "2022-04-13T15:42:05.901Z",
"modifiedBy": "3ce6f939-b8f9-4351-82f2-f03479bd0aad",
"modifiedDate": "2022-04-13T15:42:05.901Z",
"createdByNavigation": {
"userId": 59,
"userGuid": "76a390f7-67ca-4797-9bba-e549b05d6e93",
"salutation": "string",
"title": "string",
"firstName": "string",
"lastName": "string",
"idpname": "string",
"idpid": "string",
"telephone": "string",
"email": "string",
"status": "string",
"statusId": 36,
"lastLoginDate": "2022-04-13T15:42:05.901Z",
"createdBy": "dfad6394-a203-41e5-9603-92d253e45d52",
"createdDate": "2022-04-13T15:42:05.901Z",
"modifiedDate": "2022-04-13T15:42:05.901Z",
"modifiedBy": "f287cf4d-2bcf-4763-b00e-c4af3935ddb3",
"jobTitle": "string",
"jobTitleAdditional": "string",
"jobTitleId": 193,
"department": "string",
"languagePreference": "string",
"emailSubscriptions": "string",
"notificationOptions": "string",
"anbversion": "string",
"anbacceptanceDate": "2022-04-13T15:42:05.901Z",
"assignedCustomerSupportGuid": "4a0588c2-4748-482b-b500-6241fb9e5fb3",
"invitedBy": "d760974b-3540-413c-b82e-68d4c95fd001",
"invitationDate": "2022-04-13T15:42:05.901Z",
"uipreferences": "string"
},
"modifiedByNavigation": null
},
"createdByNavigation": null,
"modifiedByNavigation": null
},
"application": {
"applicationId": 43,
"applicationGuid": "244b7704-1fa9-4773-bea8-81070806d12d",
"name": "string",
"description": "string",
"iconDefault": "string",
"iconHover": "string",
"appType": "string",
"renderingMode": "string",
"linkType": "string",
"globalExternalLink": "string",
"isTokenExchangeRequired": true,
"isIframe": true,
"translationGroup": "string",
"isActive": true,
"createdDate": "2022-04-13T15:42:05.901Z",
"createdBy": "692ef292-8bdd-4423-8649-4253f6d12ef1",
"modifiedDate": "2022-04-13T15:42:05.901Z",
"modifiedBy": "89f6bbd0-bdfd-4fb7-8dbb-caf7c09b646d",
"accessScopeApplicationsMappers": null,
"accessScopeTypeApplicationsMappers": [
{
"accessScopeTypeApplicationsMapperId": 281,
"accessScopeTypeId": 237,
"applicationId": 236,
"state": "string",
"createdDate": "2022-04-13T15:42:05.901Z",
"createdBy": "7e081775-020c-4808-842f-920f29642a79",
"modifiedDate": "2022-04-13T15:42:05.901Z",
"modifiedBy": "6507bde8-ac53-4335-b314-6d82be05a65f",
"accessScopeType": null,
"createdByNavigation": null,
"modifiedByNavigation": null
}
],
"translations": [
{
"fieldName": "string",
"languageCode": "string",
"translatedText": "string"
}
],
"createdByNavigation": null,
"modifiedByNavigation": null
},
"createdByNavigation": null,
"modifiedByNavigation": null
}
]
PATCH /api/applications/{applicationGuid}/accessScopes¶
Update access scope mappings (bulk partial)
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
api-version |
header | string | No | ||
applicationGuid |
path | string | No |
Request body
[
{
"accessScopeGuid": "ec44388d-f3d1-4efb-8634-2d0e6fee8e87",
"state": "string",
"individualExternalLink": "string"
}
]
Other accepted types: application/*+json, application/json;IEEE754Compatible=false, application/json;IEEE754Compatible=true, application/json;odata.metadata=full, application/json;odata.metadata=full;IEEE754Compatible=false, application/json;odata.metadata=full;IEEE754Compatible=true, application/json;odata.metadata=full;odata.streaming=false, application/json;odata.metadata=full;odata.streaming=false;IEEE754Compatible=false, application/json;odata.metadata=full;odata.streaming=false;IEEE754Compatible=true, application/json;odata.metadata=full;odata.streaming=true, application/json;odata.metadata=full;odata.streaming=true;IEEE754Compatible=false, application/json;odata.metadata=full;odata.streaming=true;IEEE754Compatible=true, application/json;odata.metadata=minimal, application/json;odata.metadata=minimal;IEEE754Compatible=false, application/json;odata.metadata=minimal;IEEE754Compatible=true, application/json;odata.metadata=minimal;odata.streaming=false, application/json;odata.metadata=minimal;odata.streaming=false;IEEE754Compatible=false, application/json;odata.metadata=minimal;odata.streaming=false;IEEE754Compatible=true, application/json;odata.metadata=minimal;odata.streaming=true, application/json;odata.metadata=minimal;odata.streaming=true;IEEE754Compatible=false, application/json;odata.metadata=minimal;odata.streaming=true;IEEE754Compatible=true, application/json;odata.metadata=none, application/json;odata.metadata=none;IEEE754Compatible=false, application/json;odata.metadata=none;IEEE754Compatible=true, application/json;odata.metadata=none;odata.streaming=false, application/json;odata.metadata=none;odata.streaming=false;IEEE754Compatible=false, application/json;odata.metadata=none;odata.streaming=false;IEEE754Compatible=true, application/json;odata.metadata=none;odata.streaming=true, application/json;odata.metadata=none;odata.streaming=true;IEEE754Compatible=false, application/json;odata.metadata=none;odata.streaming=true;IEEE754Compatible=true, application/json;odata.streaming=false, application/json;odata.streaming=false;IEEE754Compatible=false, application/json;odata.streaming=false;IEEE754Compatible=true, application/json;odata.streaming=true, application/json;odata.streaming=true;IEEE754Compatible=false, application/json;odata.streaming=true;IEEE754Compatible=true, text/json, text/plain
Responses
[
{
"accessScopeApplicationsMapperId": 103,
"accessScopeId": 88,
"applicationId": 100,
"state": "string",
"individualExternalLink": "string",
"createdDate": "2022-04-13T15:42:05.901Z",
"createdBy": "d567b09f-153b-4801-b719-4c310d9f1814",
"modifiedDate": "2022-04-13T15:42:05.901Z",
"modifiedBy": "8d2477e0-5447-4ac9-a5fd-1faaaee73da2",
"accessScope": {
"accessScopeId": 26,
"accessScopeGuid": "f5f473dd-3865-470b-bdb1-fe85581aa8b8",
"name": "string",
"accessScopeKey": "string",
"accessScopeTypeId": 160,
"concreteId": 191,
"description": "string",
"translationGroup": "string",
"isWildcard": true,
"isActive": true,
"createdBy": "c55ecb89-a47b-4455-bb15-73636bf744e8",
"createdDate": "2022-04-13T15:42:05.901Z",
"modifiedBy": "0cd2aacf-07b0-4034-9e47-e3de7014a1a6",
"modifiedDate": "2022-04-13T15:42:05.901Z",
"accessScopeType": {
"accessScopeTypeId": 299,
"accessScopeTypeGuid": "f4f24c3d-998e-4811-ae2b-aa8a5644b9f7",
"name": "string",
"description": "string",
"translationGroup": "string",
"isActive": true,
"createdBy": "bb8fca5c-7735-49dc-8b3f-1c4b8f7050ae",
"createdDate": "2022-04-13T15:42:05.901Z",
"modifiedBy": "72b26ea4-525b-4df0-98c0-5ff0e00304f5",
"modifiedDate": "2022-04-13T15:42:05.901Z",
"createdByNavigation": {
"userId": 185,
"userGuid": "9b73e561-a240-47f4-817a-796d98e494a8",
"salutation": "string",
"title": "string",
"firstName": "string",
"lastName": "string",
"idpname": "string",
"idpid": "string",
"telephone": "string",
"email": "string",
"status": "string",
"statusId": 18,
"lastLoginDate": "2022-04-13T15:42:05.901Z",
"createdBy": "ebfabd8d-fb57-4d71-ba8f-8b0c408866b8",
"createdDate": "2022-04-13T15:42:05.901Z",
"modifiedDate": "2022-04-13T15:42:05.901Z",
"modifiedBy": "74cb8c63-7ae5-49a1-82eb-059ec6c41e8a",
"jobTitle": "string",
"jobTitleAdditional": "string",
"jobTitleId": 258,
"department": "string",
"languagePreference": "string",
"emailSubscriptions": "string",
"notificationOptions": "string",
"anbversion": "string",
"anbacceptanceDate": "2022-04-13T15:42:05.901Z",
"assignedCustomerSupportGuid": "0130988b-8208-4344-85ec-80bd5a5f4f3b",
"invitedBy": "100a8204-06e3-44ae-bf64-754ad68faa7a",
"invitationDate": "2022-04-13T15:42:05.901Z",
"uipreferences": "string"
},
"modifiedByNavigation": null
},
"createdByNavigation": null,
"modifiedByNavigation": null
},
"application": {
"applicationId": 225,
"applicationGuid": "44a74e2d-4468-4a96-b629-6b53260bed23",
"name": "string",
"description": "string",
"iconDefault": "string",
"iconHover": "string",
"appType": "string",
"renderingMode": "string",
"linkType": "string",
"globalExternalLink": "string",
"isTokenExchangeRequired": true,
"isIframe": true,
"translationGroup": "string",
"isActive": true,
"createdDate": "2022-04-13T15:42:05.901Z",
"createdBy": "c7057921-3f56-4923-826d-caf1b1897aea",
"modifiedDate": "2022-04-13T15:42:05.901Z",
"modifiedBy": "1524088d-82c0-4f59-9da8-6973099bfadd",
"accessScopeApplicationsMappers": null,
"accessScopeTypeApplicationsMappers": [
{
"accessScopeTypeApplicationsMapperId": 40,
"accessScopeTypeId": 22,
"applicationId": 83,
"state": "string",
"createdDate": "2022-04-13T15:42:05.901Z",
"createdBy": "1ff7eba0-81f4-40a3-955e-99053ab5a377",
"modifiedDate": "2022-04-13T15:42:05.901Z",
"modifiedBy": "5e03f07a-3c41-45a5-b1fb-d5a8a259e039",
"accessScopeType": null,
"createdByNavigation": null,
"modifiedByNavigation": null
}
],
"translations": [
{
"fieldName": "string",
"languageCode": "string",
"translatedText": "string"
}
],
"createdByNavigation": null,
"modifiedByNavigation": null
},
"createdByNavigation": null,
"modifiedByNavigation": null
}
]
DELETE /api/applications/{applicationGuid}/accessScopes/{accessScopeGuid}¶
Delete access scope mapping
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
accessScopeGuid |
path | string | No | ||
api-version |
header | string | No | ||
applicationGuid |
path | string | No |
Responses
POST /api/applications/{applicationGuid}/accessScopes:delete¶
Bulk delete access scope mappings
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
api-version |
header | string | No | ||
applicationGuid |
path | string | No |
Request body
Other accepted types: application/*+json, application/json;IEEE754Compatible=false, application/json;IEEE754Compatible=true, application/json;odata.metadata=full, application/json;odata.metadata=full;IEEE754Compatible=false, application/json;odata.metadata=full;IEEE754Compatible=true, application/json;odata.metadata=full;odata.streaming=false, application/json;odata.metadata=full;odata.streaming=false;IEEE754Compatible=false, application/json;odata.metadata=full;odata.streaming=false;IEEE754Compatible=true, application/json;odata.metadata=full;odata.streaming=true, application/json;odata.metadata=full;odata.streaming=true;IEEE754Compatible=false, application/json;odata.metadata=full;odata.streaming=true;IEEE754Compatible=true, application/json;odata.metadata=minimal, application/json;odata.metadata=minimal;IEEE754Compatible=false, application/json;odata.metadata=minimal;IEEE754Compatible=true, application/json;odata.metadata=minimal;odata.streaming=false, application/json;odata.metadata=minimal;odata.streaming=false;IEEE754Compatible=false, application/json;odata.metadata=minimal;odata.streaming=false;IEEE754Compatible=true, application/json;odata.metadata=minimal;odata.streaming=true, application/json;odata.metadata=minimal;odata.streaming=true;IEEE754Compatible=false, application/json;odata.metadata=minimal;odata.streaming=true;IEEE754Compatible=true, application/json;odata.metadata=none, application/json;odata.metadata=none;IEEE754Compatible=false, application/json;odata.metadata=none;IEEE754Compatible=true, application/json;odata.metadata=none;odata.streaming=false, application/json;odata.metadata=none;odata.streaming=false;IEEE754Compatible=false, application/json;odata.metadata=none;odata.streaming=false;IEEE754Compatible=true, application/json;odata.metadata=none;odata.streaming=true, application/json;odata.metadata=none;odata.streaming=true;IEEE754Compatible=false, application/json;odata.metadata=none;odata.streaming=true;IEEE754Compatible=true, application/json;odata.streaming=false, application/json;odata.streaming=false;IEEE754Compatible=false, application/json;odata.streaming=false;IEEE754Compatible=true, application/json;odata.streaming=true, application/json;odata.streaming=true;IEEE754Compatible=false, application/json;odata.streaming=true;IEEE754Compatible=true, text/json, text/plain
Responses
Applications¶
GET /api/applications¶
Get all applications
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
api-version |
header | string | No | ||
options |
query | No |
Responses
[
{
"applicationId": 89,
"applicationGuid": "bc8715ec-53da-48d3-87f3-dccfacb9c3ca",
"name": "string",
"description": "string",
"iconDefault": "string",
"iconHover": "string",
"appType": "string",
"renderingMode": "string",
"linkType": "string",
"globalExternalLink": "string",
"isTokenExchangeRequired": true,
"isIframe": true,
"translationGroup": "string",
"isActive": true,
"createdDate": "2022-04-13T15:42:05.901Z",
"createdBy": "49e0c524-ef09-4855-8599-ebb6a6ca7183",
"modifiedDate": "2022-04-13T15:42:05.901Z",
"modifiedBy": "3035463d-d625-400f-ac25-a85f87bb8a2f",
"accessScopeApplicationsMappers": [
{
"accessScopeApplicationsMapperId": 284,
"accessScopeId": 7,
"applicationId": 125,
"state": "string",
"individualExternalLink": "string",
"createdDate": "2022-04-13T15:42:05.901Z",
"createdBy": "eb5cb8ff-9d7f-4edd-b369-17909f8d7676",
"modifiedDate": "2022-04-13T15:42:05.901Z",
"modifiedBy": "cbf82548-d320-4b66-893f-c83a996d250a",
"accessScope": {
"accessScopeId": 172,
"accessScopeGuid": "1a4efcf8-5057-49c5-b1cd-9268fd16e1a6",
"name": "string",
"accessScopeKey": "string",
"accessScopeTypeId": 118,
"concreteId": 269,
"description": "string",
"translationGroup": "string",
"isWildcard": true,
"isActive": true,
"createdBy": "1e61b7b5-fbac-42df-abf9-dea9a3dd7588",
"createdDate": "2022-04-13T15:42:05.901Z",
"modifiedBy": "2e5ff10b-94ca-4c67-838d-c1387a91fe7f",
"modifiedDate": "2022-04-13T15:42:05.901Z",
"accessScopeType": {
"accessScopeTypeId": 50,
"accessScopeTypeGuid": "55c90b64-7e1e-4bd8-868d-760eddf52f67",
"name": "string",
"description": "string",
"translationGroup": "string",
"isActive": true,
"createdBy": "72e2c727-bed6-486c-b700-3ab4c8a3a8fa",
"createdDate": "2022-04-13T15:42:05.901Z",
"modifiedBy": "1da69a17-7257-48d1-9e97-71e3438cd1c5",
"modifiedDate": "2022-04-13T15:42:05.901Z",
"createdByNavigation": {
"userId": 18,
"userGuid": "ffcb59f2-ec59-416c-bd62-436d407039f0",
"salutation": "string",
"title": "string",
"firstName": "string",
"lastName": "string",
"idpname": "string",
"idpid": "string",
"telephone": "string",
"email": "string",
"status": "string",
"statusId": 238,
"lastLoginDate": "2022-04-13T15:42:05.901Z",
"createdBy": "426e57dc-dcba-4d8b-9c00-50ff45e7a35c",
"createdDate": "2022-04-13T15:42:05.901Z",
"modifiedDate": "2022-04-13T15:42:05.901Z",
"modifiedBy": "96a8a0e4-04d7-4446-958e-28f268e14aa4",
"jobTitle": "string",
"jobTitleAdditional": "string",
"jobTitleId": 152,
"department": "string",
"languagePreference": "string",
"emailSubscriptions": "string",
"notificationOptions": "string",
"anbversion": "string",
"anbacceptanceDate": "2022-04-13T15:42:05.901Z",
"assignedCustomerSupportGuid": "42649481-f11b-4704-af29-b94ac015d7fa",
"invitedBy": "39c0b509-6f27-4b92-8f66-bb257dff20b8",
"invitationDate": "2022-04-13T15:42:05.901Z",
"uipreferences": "string"
},
"modifiedByNavigation": null
},
"createdByNavigation": null,
"modifiedByNavigation": null
},
"application": null,
"createdByNavigation": null,
"modifiedByNavigation": null
}
],
"accessScopeTypeApplicationsMappers": [
{
"accessScopeTypeApplicationsMapperId": 251,
"accessScopeTypeId": 39,
"applicationId": 289,
"state": "string",
"createdDate": "2022-04-13T15:42:05.901Z",
"createdBy": "31dc4b3f-e3cc-4185-908e-1d994565ccc0",
"modifiedDate": "2022-04-13T15:42:05.901Z",
"modifiedBy": "749086d4-cc50-42fa-aa28-072ab1875bc6",
"accessScopeType": null,
"createdByNavigation": null,
"modifiedByNavigation": null
}
],
"translations": [
{
"fieldName": "string",
"languageCode": "string",
"translatedText": "string"
}
],
"createdByNavigation": null,
"modifiedByNavigation": null
}
]
POST /api/applications¶
Create application
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
api-version |
header | string | No |
Request body
{
"name": "string",
"description": "string",
"iconDefault": "string",
"iconHover": "string",
"appType": "string",
"renderingMode": "string",
"linkType": "string",
"globalExternalLink": "string",
"isTokenExchangeRequired": true,
"isIFrame": true,
"translationGroup": "string"
}
Other accepted types: application/*+json, application/json;IEEE754Compatible=false, application/json;IEEE754Compatible=true, application/json;odata.metadata=full, application/json;odata.metadata=full;IEEE754Compatible=false, application/json;odata.metadata=full;IEEE754Compatible=true, application/json;odata.metadata=full;odata.streaming=false, application/json;odata.metadata=full;odata.streaming=false;IEEE754Compatible=false, application/json;odata.metadata=full;odata.streaming=false;IEEE754Compatible=true, application/json;odata.metadata=full;odata.streaming=true, application/json;odata.metadata=full;odata.streaming=true;IEEE754Compatible=false, application/json;odata.metadata=full;odata.streaming=true;IEEE754Compatible=true, application/json;odata.metadata=minimal, application/json;odata.metadata=minimal;IEEE754Compatible=false, application/json;odata.metadata=minimal;IEEE754Compatible=true, application/json;odata.metadata=minimal;odata.streaming=false, application/json;odata.metadata=minimal;odata.streaming=false;IEEE754Compatible=false, application/json;odata.metadata=minimal;odata.streaming=false;IEEE754Compatible=true, application/json;odata.metadata=minimal;odata.streaming=true, application/json;odata.metadata=minimal;odata.streaming=true;IEEE754Compatible=false, application/json;odata.metadata=minimal;odata.streaming=true;IEEE754Compatible=true, application/json;odata.metadata=none, application/json;odata.metadata=none;IEEE754Compatible=false, application/json;odata.metadata=none;IEEE754Compatible=true, application/json;odata.metadata=none;odata.streaming=false, application/json;odata.metadata=none;odata.streaming=false;IEEE754Compatible=false, application/json;odata.metadata=none;odata.streaming=false;IEEE754Compatible=true, application/json;odata.metadata=none;odata.streaming=true, application/json;odata.metadata=none;odata.streaming=true;IEEE754Compatible=false, application/json;odata.metadata=none;odata.streaming=true;IEEE754Compatible=true, application/json;odata.streaming=false, application/json;odata.streaming=false;IEEE754Compatible=false, application/json;odata.streaming=false;IEEE754Compatible=true, application/json;odata.streaming=true, application/json;odata.streaming=true;IEEE754Compatible=false, application/json;odata.streaming=true;IEEE754Compatible=true, text/json, text/plain
Schema of the request body
{
"required": [
"appType",
"iconDefault",
"iconHover",
"linkType",
"name",
"renderingMode"
],
"type": "object",
"properties": {
"name": {
"maxLength": 255,
"minLength": 1,
"type": "string"
},
"description": {
"maxLength": 255,
"type": "string",
"nullable": true
},
"iconDefault": {
"maxLength": 512,
"minLength": 1,
"type": "string"
},
"iconHover": {
"maxLength": 512,
"minLength": 1,
"type": "string"
},
"appType": {
"maxLength": 50,
"minLength": 1,
"type": "string"
},
"renderingMode": {
"maxLength": 50,
"minLength": 1,
"type": "string"
},
"linkType": {
"maxLength": 50,
"minLength": 1,
"type": "string"
},
"globalExternalLink": {
"maxLength": 512,
"type": "string",
"nullable": true
},
"isTokenExchangeRequired": {
"type": "boolean",
"nullable": true
},
"isIFrame": {
"type": "boolean",
"nullable": true
},
"translationGroup": {
"maxLength": 50,
"type": "string",
"nullable": true
}
},
"additionalProperties": false
}
{
"name": "string",
"description": "string",
"iconDefault": "string",
"iconHover": "string",
"appType": "string",
"renderingMode": "string",
"linkType": "string",
"globalExternalLink": "string",
"isTokenExchangeRequired": true,
"isIFrame": true,
"translationGroup": "string"
}
Schema of the request body
{
"required": [
"appType",
"iconDefault",
"iconHover",
"linkType",
"name",
"renderingMode"
],
"type": "object",
"properties": {
"name": {
"maxLength": 255,
"minLength": 1,
"type": "string"
},
"description": {
"maxLength": 255,
"type": "string",
"nullable": true
},
"iconDefault": {
"maxLength": 512,
"minLength": 1,
"type": "string"
},
"iconHover": {
"maxLength": 512,
"minLength": 1,
"type": "string"
},
"appType": {
"maxLength": 50,
"minLength": 1,
"type": "string"
},
"renderingMode": {
"maxLength": 50,
"minLength": 1,
"type": "string"
},
"linkType": {
"maxLength": 50,
"minLength": 1,
"type": "string"
},
"globalExternalLink": {
"maxLength": 512,
"type": "string",
"nullable": true
},
"isTokenExchangeRequired": {
"type": "boolean",
"nullable": true
},
"isIFrame": {
"type": "boolean",
"nullable": true
},
"translationGroup": {
"maxLength": 50,
"type": "string",
"nullable": true
}
},
"additionalProperties": false
}
Responses
{
"applicationId": 252,
"applicationGuid": "7bd9c25f-af10-46b7-9575-704f1f475c88",
"name": "string",
"description": "string",
"iconDefault": "string",
"iconHover": "string",
"appType": "string",
"renderingMode": "string",
"linkType": "string",
"globalExternalLink": "string",
"isTokenExchangeRequired": true,
"isIframe": true,
"translationGroup": "string",
"isActive": true,
"createdDate": "2022-04-13T15:42:05.901Z",
"createdBy": "cbc2e1b1-e487-405f-8f66-cc12cfecf05e",
"modifiedDate": "2022-04-13T15:42:05.901Z",
"modifiedBy": "5363c4c3-94a4-44a2-8db2-fd7ee8ace7f5",
"accessScopeApplicationsMappers": [
{
"accessScopeApplicationsMapperId": 114,
"accessScopeId": 62,
"applicationId": 165,
"state": "string",
"individualExternalLink": "string",
"createdDate": "2022-04-13T15:42:05.901Z",
"createdBy": "001ca85d-f9d2-4d9d-a86a-0c744a81a097",
"modifiedDate": "2022-04-13T15:42:05.901Z",
"modifiedBy": "6e56523c-7973-40a6-b9fd-cd0ecf398a22",
"accessScope": {
"accessScopeId": 52,
"accessScopeGuid": "7ef28739-e1d3-4548-8214-efe4325ffb09",
"name": "string",
"accessScopeKey": "string",
"accessScopeTypeId": 219,
"concreteId": 165,
"description": "string",
"translationGroup": "string",
"isWildcard": true,
"isActive": true,
"createdBy": "f86287a2-c514-42b7-9b77-c8ec3f0dc09c",
"createdDate": "2022-04-13T15:42:05.901Z",
"modifiedBy": "cefb592a-5408-4d53-b9c9-fcbe55f3a520",
"modifiedDate": "2022-04-13T15:42:05.901Z",
"accessScopeType": {
"accessScopeTypeId": 280,
"accessScopeTypeGuid": "05aa1e82-5a06-4a99-8d31-7a6ba50e109b",
"name": "string",
"description": "string",
"translationGroup": "string",
"isActive": true,
"createdBy": "8e96c55a-6522-43ef-b23d-666295e84d9f",
"createdDate": "2022-04-13T15:42:05.901Z",
"modifiedBy": "97bd4be7-1720-44ab-9a4f-a6eb55d03785",
"modifiedDate": "2022-04-13T15:42:05.901Z",
"createdByNavigation": {
"userId": 148,
"userGuid": "8f08820b-3953-44dc-84e0-c56877354768",
"salutation": "string",
"title": "string",
"firstName": "string",
"lastName": "string",
"idpname": "string",
"idpid": "string",
"telephone": "string",
"email": "string",
"status": "string",
"statusId": 47,
"lastLoginDate": "2022-04-13T15:42:05.901Z",
"createdBy": "951f4cdd-5d1c-4cd1-8f35-926f40c2174c",
"createdDate": "2022-04-13T15:42:05.901Z",
"modifiedDate": "2022-04-13T15:42:05.901Z",
"modifiedBy": "85adccd8-3b72-4ddb-9d22-080f64e3ca76",
"jobTitle": "string",
"jobTitleAdditional": "string",
"jobTitleId": 288,
"department": "string",
"languagePreference": "string",
"emailSubscriptions": "string",
"notificationOptions": "string",
"anbversion": "string",
"anbacceptanceDate": "2022-04-13T15:42:05.901Z",
"assignedCustomerSupportGuid": "cc31a875-b6fa-4a07-8060-dd69262eedc1",
"invitedBy": "be2e6686-77f4-4c8c-9071-11c6f5994fea",
"invitationDate": "2022-04-13T15:42:05.901Z",
"uipreferences": "string"
},
"modifiedByNavigation": null
},
"createdByNavigation": null,
"modifiedByNavigation": null
},
"application": {
"applicationId": 65,
"applicationGuid": "8fb76d8e-0cbe-4925-992f-fc1c95d65749",
"name": "string",
"description": "string",
"iconDefault": "string",
"iconHover": "string",
"appType": "string",
"renderingMode": "string",
"linkType": "string",
"globalExternalLink": "string",
"isTokenExchangeRequired": true,
"isIframe": true,
"translationGroup": "string",
"isActive": true,
"createdDate": "2022-04-13T15:42:05.901Z",
"createdBy": "252b8218-4282-4751-a4aa-0d35fe42cbd3",
"modifiedDate": "2022-04-13T15:42:05.901Z",
"modifiedBy": "1ad67463-f964-4c39-b00e-1020b4eaf1c7",
"accessScopeApplicationsMappers": null,
"accessScopeTypeApplicationsMappers": [
{
"accessScopeTypeApplicationsMapperId": 198,
"accessScopeTypeId": 6,
"applicationId": 212,
"state": "string",
"createdDate": "2022-04-13T15:42:05.901Z",
"createdBy": "f683b280-cbf8-4b89-af53-44955fa4b200",
"modifiedDate": "2022-04-13T15:42:05.901Z",
"modifiedBy": "c719cd96-caea-4cc9-b5ba-784ae2d79b43",
"accessScopeType": null,
"createdByNavigation": null,
"modifiedByNavigation": null
}
],
"translations": [
{
"fieldName": "string",
"languageCode": "string",
"translatedText": "string"
}
],
"createdByNavigation": null,
"modifiedByNavigation": null
},
"createdByNavigation": null,
"modifiedByNavigation": null
}
],
"accessScopeTypeApplicationsMappers": null,
"translations": null,
"createdByNavigation": null,
"modifiedByNavigation": null
}
Schema of the response body
{
"type": "object",
"properties": {
"applicationId": {
"type": "integer",
"format": "int32"
},
"applicationGuid": {
"type": "string",
"format": "uuid"
},
"name": {
"type": "string",
"nullable": true
},
"description": {
"type": "string",
"nullable": true
},
"iconDefault": {
"type": "string",
"nullable": true
},
"iconHover": {
"type": "string",
"nullable": true
},
"appType": {
"type": "string",
"nullable": true
},
"renderingMode": {
"type": "string",
"nullable": true
},
"linkType": {
"type": "string",
"nullable": true
},
"globalExternalLink": {
"type": "string",
"nullable": true
},
"isTokenExchangeRequired": {
"type": "boolean",
"nullable": true
},
"isIframe": {
"type": "boolean",
"nullable": true
},
"translationGroup": {
"type": "string",
"nullable": true
},
"isActive": {
"type": "boolean"
},
"createdDate": {
"type": "string",
"format": "date-time"
},
"createdBy": {
"type": "string",
"format": "uuid"
},
"modifiedDate": {
"type": "string",
"format": "date-time",
"nullable": true
},
"modifiedBy": {
"type": "string",
"format": "uuid",
"nullable": true
},
"accessScopeApplicationsMappers": {
"type": "array",
"items": {
"$ref": "#/components/schemas/AccessScopeApplicationsMapperDTO"
},
"nullable": true
},
"accessScopeTypeApplicationsMappers": {
"type": "array",
"items": {
"$ref": "#/components/schemas/AccessScopeTypeApplicationsMapperDTO"
},
"nullable": true
},
"translations": {
"type": "array",
"items": {
"$ref": "#/components/schemas/TranslationDTO"
},
"nullable": true
},
"createdByNavigation": {
"$ref": "#/components/schemas/UserDTO"
},
"modifiedByNavigation": {
"$ref": "#/components/schemas/UserDTO"
}
},
"additionalProperties": false
}
GET /api/applications/{guid}¶
Get application by GUID
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
api-version |
header | string | No | ||
guid |
path | string | No |
Responses
{
"applicationId": 172,
"applicationGuid": "446f0695-b8f5-4a64-b4ed-93e3140fd9c4",
"name": "string",
"description": "string",
"iconDefault": "string",
"iconHover": "string",
"appType": "string",
"renderingMode": "string",
"linkType": "string",
"globalExternalLink": "string",
"isTokenExchangeRequired": true,
"isIframe": true,
"translationGroup": "string",
"isActive": true,
"createdDate": "2022-04-13T15:42:05.901Z",
"createdBy": "c45db73b-0c13-4912-bfa3-e807247ee3e5",
"modifiedDate": "2022-04-13T15:42:05.901Z",
"modifiedBy": "63437386-ccf4-412a-a16a-d85048ba92f7",
"accessScopeApplicationsMappers": [
{
"accessScopeApplicationsMapperId": 248,
"accessScopeId": 270,
"applicationId": 199,
"state": "string",
"individualExternalLink": "string",
"createdDate": "2022-04-13T15:42:05.901Z",
"createdBy": "ea08f659-e578-48bb-8ac7-0a9f1faad052",
"modifiedDate": "2022-04-13T15:42:05.901Z",
"modifiedBy": "5843d2c4-508b-4c98-8d7d-29aab7644b20",
"accessScope": {
"accessScopeId": 287,
"accessScopeGuid": "520625c8-5134-42ec-80c1-ea0ecf970ea5",
"name": "string",
"accessScopeKey": "string",
"accessScopeTypeId": 228,
"concreteId": 80,
"description": "string",
"translationGroup": "string",
"isWildcard": true,
"isActive": true,
"createdBy": "9654970e-33ac-45e0-9d19-9498df6d384d",
"createdDate": "2022-04-13T15:42:05.901Z",
"modifiedBy": "7fdd21dc-41dd-4c2c-80c6-bc01066712f1",
"modifiedDate": "2022-04-13T15:42:05.901Z",
"accessScopeType": {
"accessScopeTypeId": 135,
"accessScopeTypeGuid": "a36ab6a4-5a52-41fc-b6eb-314db054d068",
"name": "string",
"description": "string",
"translationGroup": "string",
"isActive": true,
"createdBy": "5155eb78-fbe4-425d-a253-fbd014c1d45d",
"createdDate": "2022-04-13T15:42:05.901Z",
"modifiedBy": "a2aee43c-0606-42d9-8c16-0e6a314a7fc4",
"modifiedDate": "2022-04-13T15:42:05.901Z",
"createdByNavigation": {
"userId": 62,
"userGuid": "454ffc9d-e2a8-4db4-a936-d19d97ed9356",
"salutation": "string",
"title": "string",
"firstName": "string",
"lastName": "string",
"idpname": "string",
"idpid": "string",
"telephone": "string",
"email": "string",
"status": "string",
"statusId": 80,
"lastLoginDate": "2022-04-13T15:42:05.901Z",
"createdBy": "77094fe1-863b-4cf0-9c04-dca56f1b364d",
"createdDate": "2022-04-13T15:42:05.901Z",
"modifiedDate": "2022-04-13T15:42:05.901Z",
"modifiedBy": "ed5a6bb1-1ada-4615-aadc-3eb7b7613df6",
"jobTitle": "string",
"jobTitleAdditional": "string",
"jobTitleId": 199,
"department": "string",
"languagePreference": "string",
"emailSubscriptions": "string",
"notificationOptions": "string",
"anbversion": "string",
"anbacceptanceDate": "2022-04-13T15:42:05.901Z",
"assignedCustomerSupportGuid": "f783d445-648c-4852-ac9c-fda129e1f30b",
"invitedBy": "7a75f888-4f0c-4d4e-af38-af11865ed208",
"invitationDate": "2022-04-13T15:42:05.901Z",
"uipreferences": "string"
},
"modifiedByNavigation": null
},
"createdByNavigation": null,
"modifiedByNavigation": null
},
"application": {
"applicationId": 106,
"applicationGuid": "61e4fc1d-599b-482e-ae5e-6445e0da57bb",
"name": "string",
"description": "string",
"iconDefault": "string",
"iconHover": "string",
"appType": "string",
"renderingMode": "string",
"linkType": "string",
"globalExternalLink": "string",
"isTokenExchangeRequired": true,
"isIframe": true,
"translationGroup": "string",
"isActive": true,
"createdDate": "2022-04-13T15:42:05.901Z",
"createdBy": "5b38a251-0b22-4213-982a-b4aa292fe054",
"modifiedDate": "2022-04-13T15:42:05.901Z",
"modifiedBy": "2aa3812b-f80f-4612-9bab-bd4403e72169",
"accessScopeApplicationsMappers": null,
"accessScopeTypeApplicationsMappers": [
{
"accessScopeTypeApplicationsMapperId": 176,
"accessScopeTypeId": 233,
"applicationId": 142,
"state": "string",
"createdDate": "2022-04-13T15:42:05.901Z",
"createdBy": "6b069bfc-b111-4c3f-befc-da846a6f9c94",
"modifiedDate": "2022-04-13T15:42:05.901Z",
"modifiedBy": "9e8c180b-f5e8-482f-85ef-b7bfc6c9ba4c",
"accessScopeType": null,
"createdByNavigation": null,
"modifiedByNavigation": null
}
],
"translations": [
{
"fieldName": "string",
"languageCode": "string",
"translatedText": "string"
}
],
"createdByNavigation": null,
"modifiedByNavigation": null
},
"createdByNavigation": null,
"modifiedByNavigation": null
}
],
"accessScopeTypeApplicationsMappers": null,
"translations": null,
"createdByNavigation": null,
"modifiedByNavigation": null
}
Schema of the response body
{
"type": "object",
"properties": {
"applicationId": {
"type": "integer",
"format": "int32"
},
"applicationGuid": {
"type": "string",
"format": "uuid"
},
"name": {
"type": "string",
"nullable": true
},
"description": {
"type": "string",
"nullable": true
},
"iconDefault": {
"type": "string",
"nullable": true
},
"iconHover": {
"type": "string",
"nullable": true
},
"appType": {
"type": "string",
"nullable": true
},
"renderingMode": {
"type": "string",
"nullable": true
},
"linkType": {
"type": "string",
"nullable": true
},
"globalExternalLink": {
"type": "string",
"nullable": true
},
"isTokenExchangeRequired": {
"type": "boolean",
"nullable": true
},
"isIframe": {
"type": "boolean",
"nullable": true
},
"translationGroup": {
"type": "string",
"nullable": true
},
"isActive": {
"type": "boolean"
},
"createdDate": {
"type": "string",
"format": "date-time"
},
"createdBy": {
"type": "string",
"format": "uuid"
},
"modifiedDate": {
"type": "string",
"format": "date-time",
"nullable": true
},
"modifiedBy": {
"type": "string",
"format": "uuid",
"nullable": true
},
"accessScopeApplicationsMappers": {
"type": "array",
"items": {
"$ref": "#/components/schemas/AccessScopeApplicationsMapperDTO"
},
"nullable": true
},
"accessScopeTypeApplicationsMappers": {
"type": "array",
"items": {
"$ref": "#/components/schemas/AccessScopeTypeApplicationsMapperDTO"
},
"nullable": true
},
"translations": {
"type": "array",
"items": {
"$ref": "#/components/schemas/TranslationDTO"
},
"nullable": true
},
"createdByNavigation": {
"$ref": "#/components/schemas/UserDTO"
},
"modifiedByNavigation": {
"$ref": "#/components/schemas/UserDTO"
}
},
"additionalProperties": false
}
PATCH /api/applications/{guid}¶
Update application (partial)
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
api-version |
header | string | No | ||
guid |
path | string | No |
Responses
{
"applicationId": 103,
"applicationGuid": "2978cde9-9ae5-42a0-ae8b-aae11e3821b0",
"name": "string",
"description": "string",
"iconDefault": "string",
"iconHover": "string",
"appType": "string",
"renderingMode": "string",
"linkType": "string",
"globalExternalLink": "string",
"isTokenExchangeRequired": true,
"isIframe": true,
"translationGroup": "string",
"isActive": true,
"createdDate": "2022-04-13T15:42:05.901Z",
"createdBy": "5adedab5-96cc-4932-806d-ef99b8806108",
"modifiedDate": "2022-04-13T15:42:05.901Z",
"modifiedBy": "750a0954-cb93-4a8c-a7f1-b10c92a05214",
"accessScopeApplicationsMappers": [
{
"accessScopeApplicationsMapperId": 124,
"accessScopeId": 115,
"applicationId": 141,
"state": "string",
"individualExternalLink": "string",
"createdDate": "2022-04-13T15:42:05.901Z",
"createdBy": "429d7f53-6cf5-442f-b9e6-87e8db60eca2",
"modifiedDate": "2022-04-13T15:42:05.901Z",
"modifiedBy": "7cd1202b-1657-4fab-b6df-23398245bee3",
"accessScope": {
"accessScopeId": 177,
"accessScopeGuid": "73b21c45-e0e8-4fd5-98de-052707045f9b",
"name": "string",
"accessScopeKey": "string",
"accessScopeTypeId": 148,
"concreteId": 209,
"description": "string",
"translationGroup": "string",
"isWildcard": true,
"isActive": true,
"createdBy": "a7a6b374-5567-4b96-ab9e-bcb939a0cdb4",
"createdDate": "2022-04-13T15:42:05.901Z",
"modifiedBy": "a032222b-6b94-40cc-af91-76b01d564e1a",
"modifiedDate": "2022-04-13T15:42:05.901Z",
"accessScopeType": {
"accessScopeTypeId": 25,
"accessScopeTypeGuid": "87e6b400-a943-4e1b-8414-afac22609bff",
"name": "string",
"description": "string",
"translationGroup": "string",
"isActive": true,
"createdBy": "5617636d-1f31-42b7-8c8c-c46646e1e288",
"createdDate": "2022-04-13T15:42:05.901Z",
"modifiedBy": "76f0c84c-99f6-4bde-8644-e23f9c805bad",
"modifiedDate": "2022-04-13T15:42:05.901Z",
"createdByNavigation": {
"userId": 122,
"userGuid": "f1c125d6-33f6-4972-8c4b-00307a269f05",
"salutation": "string",
"title": "string",
"firstName": "string",
"lastName": "string",
"idpname": "string",
"idpid": "string",
"telephone": "string",
"email": "string",
"status": "string",
"statusId": 93,
"lastLoginDate": "2022-04-13T15:42:05.901Z",
"createdBy": "6b555a5e-0182-4e18-ad07-6823411df25d",
"createdDate": "2022-04-13T15:42:05.901Z",
"modifiedDate": "2022-04-13T15:42:05.901Z",
"modifiedBy": "be6fc2d5-3b7f-4fc3-b0c6-5904d3510705",
"jobTitle": "string",
"jobTitleAdditional": "string",
"jobTitleId": 222,
"department": "string",
"languagePreference": "string",
"emailSubscriptions": "string",
"notificationOptions": "string",
"anbversion": "string",
"anbacceptanceDate": "2022-04-13T15:42:05.901Z",
"assignedCustomerSupportGuid": "3169c5c3-90e9-43cf-b210-b9748fa6c820",
"invitedBy": "1586eefa-a834-4bc0-87f2-806bd2121dfb",
"invitationDate": "2022-04-13T15:42:05.901Z",
"uipreferences": "string"
},
"modifiedByNavigation": null
},
"createdByNavigation": null,
"modifiedByNavigation": null
},
"application": {
"applicationId": 58,
"applicationGuid": "a9ebb2f1-3eb3-474c-a714-04b1fb008fa1",
"name": "string",
"description": "string",
"iconDefault": "string",
"iconHover": "string",
"appType": "string",
"renderingMode": "string",
"linkType": "string",
"globalExternalLink": "string",
"isTokenExchangeRequired": true,
"isIframe": true,
"translationGroup": "string",
"isActive": true,
"createdDate": "2022-04-13T15:42:05.901Z",
"createdBy": "ea95e07c-4059-4afd-b017-f2e20f5bd724",
"modifiedDate": "2022-04-13T15:42:05.901Z",
"modifiedBy": "dcf74a7d-ec8e-4a8d-95c1-fcfa877e9824",
"accessScopeApplicationsMappers": null,
"accessScopeTypeApplicationsMappers": [
{
"accessScopeTypeApplicationsMapperId": 150,
"accessScopeTypeId": 275,
"applicationId": 270,
"state": "string",
"createdDate": "2022-04-13T15:42:05.901Z",
"createdBy": "fd1647b6-7cd7-4fdc-a720-77420d34eace",
"modifiedDate": "2022-04-13T15:42:05.901Z",
"modifiedBy": "8cce1826-2b66-4b3d-902a-8aa3dad8a8e8",
"accessScopeType": null,
"createdByNavigation": null,
"modifiedByNavigation": null
}
],
"translations": [
{
"fieldName": "string",
"languageCode": "string",
"translatedText": "string"
}
],
"createdByNavigation": null,
"modifiedByNavigation": null
},
"createdByNavigation": null,
"modifiedByNavigation": null
}
],
"accessScopeTypeApplicationsMappers": null,
"translations": null,
"createdByNavigation": null,
"modifiedByNavigation": null
}
Schema of the response body
{
"type": "object",
"properties": {
"applicationId": {
"type": "integer",
"format": "int32"
},
"applicationGuid": {
"type": "string",
"format": "uuid"
},
"name": {
"type": "string",
"nullable": true
},
"description": {
"type": "string",
"nullable": true
},
"iconDefault": {
"type": "string",
"nullable": true
},
"iconHover": {
"type": "string",
"nullable": true
},
"appType": {
"type": "string",
"nullable": true
},
"renderingMode": {
"type": "string",
"nullable": true
},
"linkType": {
"type": "string",
"nullable": true
},
"globalExternalLink": {
"type": "string",
"nullable": true
},
"isTokenExchangeRequired": {
"type": "boolean",
"nullable": true
},
"isIframe": {
"type": "boolean",
"nullable": true
},
"translationGroup": {
"type": "string",
"nullable": true
},
"isActive": {
"type": "boolean"
},
"createdDate": {
"type": "string",
"format": "date-time"
},
"createdBy": {
"type": "string",
"format": "uuid"
},
"modifiedDate": {
"type": "string",
"format": "date-time",
"nullable": true
},
"modifiedBy": {
"type": "string",
"format": "uuid",
"nullable": true
},
"accessScopeApplicationsMappers": {
"type": "array",
"items": {
"$ref": "#/components/schemas/AccessScopeApplicationsMapperDTO"
},
"nullable": true
},
"accessScopeTypeApplicationsMappers": {
"type": "array",
"items": {
"$ref": "#/components/schemas/AccessScopeTypeApplicationsMapperDTO"
},
"nullable": true
},
"translations": {
"type": "array",
"items": {
"$ref": "#/components/schemas/TranslationDTO"
},
"nullable": true
},
"createdByNavigation": {
"$ref": "#/components/schemas/UserDTO"
},
"modifiedByNavigation": {
"$ref": "#/components/schemas/UserDTO"
}
},
"additionalProperties": false
}
DELETE /api/applications/{guid}¶
Delete application by GUID
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
api-version |
header | string | No | ||
guid |
path | string | No |
Responses
POST /api/applications:delete¶
Bulk delete applications
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
api-version |
header | string | No |
Request body
Other accepted types: application/*+json, application/json;IEEE754Compatible=false, application/json;IEEE754Compatible=true, application/json;odata.metadata=full, application/json;odata.metadata=full;IEEE754Compatible=false, application/json;odata.metadata=full;IEEE754Compatible=true, application/json;odata.metadata=full;odata.streaming=false, application/json;odata.metadata=full;odata.streaming=false;IEEE754Compatible=false, application/json;odata.metadata=full;odata.streaming=false;IEEE754Compatible=true, application/json;odata.metadata=full;odata.streaming=true, application/json;odata.metadata=full;odata.streaming=true;IEEE754Compatible=false, application/json;odata.metadata=full;odata.streaming=true;IEEE754Compatible=true, application/json;odata.metadata=minimal, application/json;odata.metadata=minimal;IEEE754Compatible=false, application/json;odata.metadata=minimal;IEEE754Compatible=true, application/json;odata.metadata=minimal;odata.streaming=false, application/json;odata.metadata=minimal;odata.streaming=false;IEEE754Compatible=false, application/json;odata.metadata=minimal;odata.streaming=false;IEEE754Compatible=true, application/json;odata.metadata=minimal;odata.streaming=true, application/json;odata.metadata=minimal;odata.streaming=true;IEEE754Compatible=false, application/json;odata.metadata=minimal;odata.streaming=true;IEEE754Compatible=true, application/json;odata.metadata=none, application/json;odata.metadata=none;IEEE754Compatible=false, application/json;odata.metadata=none;IEEE754Compatible=true, application/json;odata.metadata=none;odata.streaming=false, application/json;odata.metadata=none;odata.streaming=false;IEEE754Compatible=false, application/json;odata.metadata=none;odata.streaming=false;IEEE754Compatible=true, application/json;odata.metadata=none;odata.streaming=true, application/json;odata.metadata=none;odata.streaming=true;IEEE754Compatible=false, application/json;odata.metadata=none;odata.streaming=true;IEEE754Compatible=true, application/json;odata.streaming=false, application/json;odata.streaming=false;IEEE754Compatible=false, application/json;odata.streaming=false;IEEE754Compatible=true, application/json;odata.streaming=true, application/json;odata.streaming=true;IEEE754Compatible=false, application/json;odata.streaming=true;IEEE754Compatible=true, text/json, text/plain
Responses
Schemas¶
AccessScopeApplicationsMapperCreateDTO¶
| Name | Type | Description |
|---|---|---|
accessScopeGuid |
string(uuid) | |
individualExternalLink |
string | null | |
state |
string |
AccessScopeApplicationsMapperDeleteDTO¶
| Name | Type | Description |
|---|---|---|
accessScopeGuid |
string(uuid) |
AccessScopeApplicationsMapperDTO¶
| Name | Type | Description |
|---|---|---|
accessScope |
AccessScopeDTO | |
accessScopeApplicationsMapperId |
integer(int32) | |
accessScopeId |
integer(int32) | |
application |
ApplicationResponseDTO | |
applicationId |
integer(int32) | |
createdBy |
string(uuid) | |
createdByNavigation |
UserDTO | |
createdDate |
string(date-time) | |
individualExternalLink |
string | null | |
modifiedBy |
string(uuid) | null | |
modifiedByNavigation |
UserDTO | |
modifiedDate |
string(date-time) | null | |
state |
string | null |
AccessScopeApplicationsMapperDTOETag¶
| Name | Type | Description |
|---|---|---|
entityType |
Type | |
isAny |
boolean | |
isIfNoneMatch |
boolean | |
isWellFormed |
boolean |
AccessScopeApplicationsMapperDTOODataQueryOptions¶
| Name | Type | Description |
|---|---|---|
apply |
ApplyQueryOption | |
compute |
ComputeQueryOption | |
context |
ODataQueryContext | |
count |
CountQueryOption | |
filter |
FilterQueryOption | |
ifMatch |
AccessScopeApplicationsMapperDTOETag | |
ifNoneMatch |
AccessScopeApplicationsMapperDTOETag | |
orderBy |
OrderByQueryOption | |
rawValues |
ODataRawQueryOptions | |
request |
HttpRequest | |
search |
SearchQueryOption | |
selectExpand |
SelectExpandQueryOption | |
skip |
SkipQueryOption | |
skipToken |
SkipTokenQueryOption | |
top |
TopQueryOption | |
validator |
IODataQueryValidator |
AccessScopeApplicationsMapperUpdateDTO¶
| Name | Type | Description |
|---|---|---|
accessScopeGuid |
string(uuid) | |
individualExternalLink |
string | null | |
state |
string | null |
AccessScopeDTO¶
| Name | Type | Description |
|---|---|---|
accessScopeGuid |
string(uuid) | |
accessScopeId |
integer(int32) | |
accessScopeKey |
string | null | |
accessScopeType |
AccessScopeTypeDTO | |
accessScopeTypeId |
integer(int32) | |
concreteId |
integer(int32) | |
createdBy |
string(uuid) | |
createdByNavigation |
UserDTO | |
createdDate |
string(date-time) | |
description |
string | null | |
isActive |
boolean | |
isWildcard |
boolean | |
modifiedBy |
string(uuid) | null | |
modifiedByNavigation |
UserDTO | |
modifiedDate |
string(date-time) | null | |
name |
string | null | |
translationGroup |
string | null |
AccessScopeTypeApplicationsMapperDTO¶
| Name | Type | Description |
|---|---|---|
accessScopeType |
AccessScopeTypeDTO | |
accessScopeTypeApplicationsMapperId |
integer(int32) | |
accessScopeTypeId |
integer(int32) | |
applicationId |
integer(int32) | |
createdBy |
string(uuid) | |
createdByNavigation |
UserDTO | |
createdDate |
string(date-time) | |
modifiedBy |
string(uuid) | null | |
modifiedByNavigation |
UserDTO | |
modifiedDate |
string(date-time) | null | |
state |
string | null |
AccessScopeTypeDTO¶
| Name | Type | Description |
|---|---|---|
accessScopeTypeGuid |
string(uuid) | |
accessScopeTypeId |
integer(int32) | |
createdBy |
string(uuid) | |
createdByNavigation |
UserDTO | |
createdDate |
string(date-time) | |
description |
string | null | |
isActive |
boolean | |
modifiedBy |
string(uuid) | null | |
modifiedByNavigation |
UserDTO | |
modifiedDate |
string(date-time) | null | |
name |
string | null | |
translationGroup |
string | null |
AddressFamily¶
Type: integer(int32)
ApplicationCreateDTO¶
| Name | Type | Description |
|---|---|---|
appType |
string | |
description |
string | null | |
globalExternalLink |
string | null | |
iconDefault |
string | |
iconHover |
string | |
isIFrame |
boolean | null | |
isTokenExchangeRequired |
boolean | null | |
linkType |
string | |
name |
string | |
renderingMode |
string | |
translationGroup |
string | null |
ApplicationResponseDTO¶
| Name | Type | Description |
|---|---|---|
accessScopeApplicationsMappers |
Array<AccessScopeApplicationsMapperDTO> | |
accessScopeTypeApplicationsMappers |
Array<AccessScopeTypeApplicationsMapperDTO> | |
applicationGuid |
string(uuid) | |
applicationId |
integer(int32) | |
appType |
string | null | |
createdBy |
string(uuid) | |
createdByNavigation |
UserDTO | |
createdDate |
string(date-time) | |
description |
string | null | |
globalExternalLink |
string | null | |
iconDefault |
string | null | |
iconHover |
string | null | |
isActive |
boolean | |
isIframe |
boolean | null | |
isTokenExchangeRequired |
boolean | null | |
linkType |
string | null | |
modifiedBy |
string(uuid) | null | |
modifiedByNavigation |
UserDTO | |
modifiedDate |
string(date-time) | null | |
name |
string | null | |
renderingMode |
string | null | |
translationGroup |
string | null | |
translations |
Array<TranslationDTO> |
ApplicationResponseDTOETag¶
| Name | Type | Description |
|---|---|---|
entityType |
Type | |
isAny |
boolean | |
isIfNoneMatch |
boolean | |
isWellFormed |
boolean |
ApplicationResponseDTOODataQueryOptions¶
| Name | Type | Description |
|---|---|---|
apply |
ApplyQueryOption | |
compute |
ComputeQueryOption | |
context |
ODataQueryContext | |
count |
CountQueryOption | |
filter |
FilterQueryOption | |
ifMatch |
ApplicationResponseDTOETag | |
ifNoneMatch |
ApplicationResponseDTOETag | |
orderBy |
OrderByQueryOption | |
rawValues |
ODataRawQueryOptions | |
request |
HttpRequest | |
search |
SearchQueryOption | |
selectExpand |
SelectExpandQueryOption | |
skip |
SkipQueryOption | |
skipToken |
SkipTokenQueryOption | |
top |
TopQueryOption | |
validator |
IODataQueryValidator |
ApplyClause¶
| Name | Type | Description |
|---|---|---|
transformations |
Array<TransformationNode> |
ApplyQueryOption¶
| Name | Type | Description |
|---|---|---|
applyClause |
ApplyClause | |
context |
ODataQueryContext | |
rawValue |
string | null | |
resultClrType |
Type |
AsnEncodedData¶
| Name | Type | Description |
|---|---|---|
oid |
Oid | |
rawData |
string(byte) | null |
Assembly¶
| Name | Type | Description |
|---|---|---|
codeBase |
string | null | |
customAttributes |
Array<CustomAttributeData> | |
definedTypes |
Array<TypeInfo> | |
entryPoint |
MethodInfo | |
escapedCodeBase |
string | null | |
exportedTypes |
Array<Type> | |
fullName |
string | null | |
globalAssemblyCache |
boolean | |
hostContext |
integer(int64) | |
imageRuntimeVersion |
string | null | |
isCollectible |
boolean | |
isDynamic |
boolean | |
isFullyTrusted |
boolean | |
location |
string | null | |
manifestModule |
Module | |
modules |
Array<Module> | |
reflectionOnly |
boolean | |
securityRuleSet |
SecurityRuleSet |
AsymmetricAlgorithm¶
| Name | Type | Description |
|---|---|---|
keyExchangeAlgorithm |
string | null | |
keySize |
integer(int32) | |
legalKeySizes |
Array<KeySizes> | |
signatureAlgorithm |
string | null |
ByteReadOnlyMemory¶
| Name | Type | Description |
|---|---|---|
isEmpty |
boolean | |
length |
integer(int32) | |
span |
ByteReadOnlySpan |
ByteReadOnlySpan¶
| Name | Type | Description |
|---|---|---|
isEmpty |
boolean | |
length |
integer(int32) |
CallingConventions¶
Type: integer(int32)
CancellationToken¶
| Name | Type | Description |
|---|---|---|
canBeCanceled |
boolean | |
isCancellationRequested |
boolean | |
waitHandle |
WaitHandle |
Claim¶
| Name | Type | Description |
|---|---|---|
issuer |
string | null | |
originalIssuer |
string | null | |
properties |
||
subject |
ClaimsIdentity | |
type |
string | null | |
value |
string | null | |
valueType |
string | null |
ClaimsIdentity¶
| Name | Type | Description |
|---|---|---|
actor |
ClaimsIdentity | |
authenticationType |
string | null | |
bootstrapContext |
||
claims |
Array<Claim> | |
isAuthenticated |
boolean | |
label |
string | null | |
name |
string | null | |
nameClaimType |
string | null | |
roleClaimType |
string | null |
ClaimsPrincipal¶
| Name | Type | Description |
|---|---|---|
claims |
Array<Claim> | |
identities |
Array<ClaimsIdentity> | |
identity |
IIdentity |
ComputeClause¶
| Name | Type | Description |
|---|---|---|
computedItems |
Array<ComputeExpression> |
ComputeExpression¶
| Name | Type | Description |
|---|---|---|
alias |
string | null | |
expression |
SingleValueNode | |
typeReference |
IEdmTypeReference |
ComputeQueryOption¶
| Name | Type | Description |
|---|---|---|
computeClause |
ComputeClause | |
context |
ODataQueryContext | |
rawValue |
string | null | |
resultClrType |
Type | |
validator |
IComputeQueryValidator |
ConnectionInfo¶
| Name | Type | Description |
|---|---|---|
clientCertificate |
X509Certificate2 | |
id |
string | null | |
localIpAddress |
IPAddress | |
localPort |
integer(int32) | |
remoteIpAddress |
IPAddress | |
remotePort |
integer(int32) |
ConstructorInfo¶
| Name | Type | Description |
|---|---|---|
attributes |
MethodAttributes | |
callingConvention |
CallingConventions | |
containsGenericParameters |
boolean | |
customAttributes |
Array<CustomAttributeData> | |
declaringType |
Type | |
isAbstract |
boolean | |
isAssembly |
boolean | |
isCollectible |
boolean | |
isConstructedGenericMethod |
boolean | |
isConstructor |
boolean | |
isFamily |
boolean | |
isFamilyAndAssembly |
boolean | |
isFamilyOrAssembly |
boolean | |
isFinal |
boolean | |
isGenericMethod |
boolean | |
isGenericMethodDefinition |
boolean | |
isHideBySig |
boolean | |
isPrivate |
boolean | |
isPublic |
boolean | |
isSecurityCritical |
boolean | |
isSecuritySafeCritical |
boolean | |
isSecurityTransparent |
boolean | |
isSpecialName |
boolean | |
isStatic |
boolean | |
isVirtual |
boolean | |
memberType |
MemberTypes | |
metadataToken |
integer(int32) | |
methodHandle |
RuntimeMethodHandle | |
methodImplementationFlags |
MethodImplAttributes | |
module |
Module | |
name |
string | null | |
reflectedType |
Type |
CountQueryOption¶
| Name | Type | Description |
|---|---|---|
context |
ODataQueryContext | |
rawValue |
string | null | |
validator |
ICountQueryValidator | |
value |
boolean |
CustomAttributeData¶
| Name | Type | Description |
|---|---|---|
attributeType |
Type | |
constructor |
ConstructorInfo | |
constructorArguments |
Array<CustomAttributeTypedArgument> | |
namedArguments |
Array<CustomAttributeNamedArgument> |
CustomAttributeNamedArgument¶
| Name | Type | Description |
|---|---|---|
isField |
boolean | |
memberInfo |
MemberInfo | |
memberName |
string | null | |
typedValue |
CustomAttributeTypedArgument |
CustomAttributeTypedArgument¶
| Name | Type | Description |
|---|---|---|
argumentType |
Type | |
value |
DefaultQueryConfigurations¶
| Name | Type | Description |
|---|---|---|
enableCount |
boolean | |
enableExpand |
boolean | |
enableFilter |
boolean | |
enableOrderBy |
boolean | |
enableSelect |
boolean | |
enableSkipToken |
boolean | |
maxTop |
integer(int32) | null |
EdmContainerElementKind¶
Type: integer(int32)
EdmExpressionKind¶
Type: integer(int32)
EdmOnDeleteAction¶
Type: integer(int32)
EdmPropertyKind¶
Type: integer(int32)
EdmReferentialConstraintPropertyPair¶
| Name | Type | Description |
|---|---|---|
dependentProperty |
IEdmStructuralProperty | |
principalProperty |
IEdmStructuralProperty |
EdmSchemaElementKind¶
Type: integer(int32)
EdmTypeKind¶
Type: integer(int32)
ETag¶
| Name | Type | Description |
|---|---|---|
entityType |
Type | |
isAny |
boolean | |
isIfNoneMatch |
boolean | |
isWellFormed |
boolean |
EventAttributes¶
Type: integer(int32)
EventInfo¶
| Name | Type | Description |
|---|---|---|
addMethod |
MethodInfo | |
attributes |
EventAttributes | |
customAttributes |
Array<CustomAttributeData> | |
declaringType |
Type | |
eventHandlerType |
Type | |
isCollectible |
boolean | |
isMulticast |
boolean | |
isSpecialName |
boolean | |
memberType |
MemberTypes | |
metadataToken |
integer(int32) | |
module |
Module | |
name |
string | null | |
raiseMethod |
MethodInfo | |
reflectedType |
Type | |
removeMethod |
MethodInfo |
FieldAttributes¶
Type: integer(int32)
FieldInfo¶
| Name | Type | Description |
|---|---|---|
attributes |
FieldAttributes | |
customAttributes |
Array<CustomAttributeData> | |
declaringType |
Type | |
fieldHandle |
RuntimeFieldHandle | |
fieldType |
Type | |
isAssembly |
boolean | |
isCollectible |
boolean | |
isFamily |
boolean | |
isFamilyAndAssembly |
boolean | |
isFamilyOrAssembly |
boolean | |
isInitOnly |
boolean | |
isLiteral |
boolean | |
isNotSerialized |
boolean | |
isPinvokeImpl |
boolean | |
isPrivate |
boolean | |
isPublic |
boolean | |
isSecurityCritical |
boolean | |
isSecuritySafeCritical |
boolean | |
isSecurityTransparent |
boolean | |
isSpecialName |
boolean | |
isStatic |
boolean | |
memberType |
MemberTypes | |
metadataToken |
integer(int32) | |
module |
Module | |
name |
string | null | |
reflectedType |
Type |
FilterClause¶
| Name | Type | Description |
|---|---|---|
expression |
SingleValueNode | |
itemType |
IEdmTypeReference | |
rangeVariable |
RangeVariable |
FilterQueryOption¶
| Name | Type | Description |
|---|---|---|
compute |
ComputeQueryOption | |
context |
ODataQueryContext | |
filterClause |
FilterClause | |
rawValue |
string | null | |
validator |
IFilterQueryValidator |
GenericParameterAttributes¶
Type: integer(int32)
HostString¶
| Name | Type | Description |
|---|---|---|
hasValue |
boolean | |
host |
string | null | |
port |
integer(int32) | null | |
value |
string | null |
HttpContext¶
| Name | Type | Description |
|---|---|---|
connection |
ConnectionInfo | |
features |
Array<TypeObjectKeyValuePair> | |
items |
||
request |
HttpRequest | |
requestAborted |
CancellationToken | |
requestServices |
IServiceProvider | |
response |
HttpResponse | |
session |
ISession | |
traceIdentifier |
string | null | |
user |
ClaimsPrincipal | |
webSockets |
WebSocketManager |
HttpRequest¶
| Name | Type | Description |
|---|---|---|
body |
string(binary) | null | |
bodyReader |
string(binary) | null | |
contentLength |
integer(int64) | null | |
contentType |
string | null | |
cookies |
Array<StringStringKeyValuePair> | |
form |
Array<StringStringValuesKeyValuePair> | |
hasFormContentType |
boolean | |
headers |
||
host |
HostString | |
httpContext |
HttpContext | |
isHttps |
boolean | |
method |
string | null | |
path |
PathString | |
pathBase |
PathString | |
protocol |
string | null | |
query |
Array<StringStringValuesKeyValuePair> | |
queryString |
QueryString | |
routeValues |
||
scheme |
string | null |
HttpResponse¶
| Name | Type | Description |
|---|---|---|
body |
string(binary) | null | |
bodyWriter |
PipeWriter | |
contentLength |
integer(int64) | null | |
contentType |
string | null | |
cookies |
IResponseCookies | |
hasStarted |
boolean | |
headers |
||
httpContext |
HttpContext | |
statusCode |
integer(int32) |
IComputeQueryValidator¶
ICountQueryValidator¶
ICustomAttributeProvider¶
IEdmDirectValueAnnotationsManager¶
IEdmEntityContainer¶
| Name | Type | Description |
|---|---|---|
elements |
Array<IEdmEntityContainerElement> | |
name |
string | null | |
namespace |
string | null | |
schemaElementKind |
EdmSchemaElementKind |
IEdmEntityContainerElement¶
| Name | Type | Description |
|---|---|---|
container |
IEdmEntityContainer | |
containerElementKind |
EdmContainerElementKind | |
name |
string | null |
IEdmEntityType¶
| Name | Type | Description |
|---|---|---|
baseType |
IEdmStructuredType | |
declaredKey |
Array<IEdmStructuralProperty> | |
declaredProperties |
Array<IEdmProperty> | |
hasStream |
boolean | |
isAbstract |
boolean | |
isOpen |
boolean | |
name |
string | null | |
namespace |
string | null | |
schemaElementKind |
EdmSchemaElementKind | |
typeKind |
EdmTypeKind |
IEdmExpression¶
| Name | Type | Description |
|---|---|---|
expressionKind |
EdmExpressionKind |
IEdmModel¶
| Name | Type | Description |
|---|---|---|
declaredNamespaces |
Array<string> | |
directValueAnnotationsManager |
IEdmDirectValueAnnotationsManager | |
entityContainer |
IEdmEntityContainer | |
referencedModels |
Array<IEdmModel> | |
schemaElements |
Array<IEdmSchemaElement> | |
vocabularyAnnotations |
Array<IEdmVocabularyAnnotation> |
IEdmNavigationProperty¶
| Name | Type | Description |
|---|---|---|
containsTarget |
boolean | |
declaringType |
IEdmStructuredType | |
name |
string | null | |
onDelete |
EdmOnDeleteAction | |
partner |
IEdmNavigationProperty | |
propertyKind |
EdmPropertyKind | |
referentialConstraint |
IEdmReferentialConstraint | |
type |
IEdmTypeReference |
IEdmNavigationPropertyBinding¶
| Name | Type | Description |
|---|---|---|
navigationProperty |
IEdmNavigationProperty | |
path |
IEdmPathExpression | |
target |
IEdmNavigationSource |
IEdmNavigationSource¶
| Name | Type | Description |
|---|---|---|
entityType |
IEdmEntityType | |
name |
string | null | |
navigationPropertyBindings |
Array<IEdmNavigationPropertyBinding> | |
path |
IEdmPathExpression | |
type |
IEdmType |
IEdmPathExpression¶
| Name | Type | Description |
|---|---|---|
expressionKind |
EdmExpressionKind | |
path |
string | null | |
pathSegments |
Array<string> |
IEdmProperty¶
| Name | Type | Description |
|---|---|---|
declaringType |
IEdmStructuredType | |
name |
string | null | |
propertyKind |
EdmPropertyKind | |
type |
IEdmTypeReference |
IEdmReferentialConstraint¶
| Name | Type | Description |
|---|---|---|
propertyPairs |
Array<EdmReferentialConstraintPropertyPair> |
IEdmSchemaElement¶
| Name | Type | Description |
|---|---|---|
name |
string | null | |
namespace |
string | null | |
schemaElementKind |
EdmSchemaElementKind |
IEdmStructuralProperty¶
| Name | Type | Description |
|---|---|---|
declaringType |
IEdmStructuredType | |
defaultValueString |
string | null | |
name |
string | null | |
propertyKind |
EdmPropertyKind | |
type |
IEdmTypeReference |
IEdmStructuredType¶
| Name | Type | Description |
|---|---|---|
baseType |
IEdmStructuredType | |
declaredProperties |
Array<IEdmProperty> | |
isAbstract |
boolean | |
isOpen |
boolean | |
typeKind |
EdmTypeKind |
IEdmTerm¶
| Name | Type | Description |
|---|---|---|
appliesTo |
string | null | |
defaultValue |
string | null | |
name |
string | null | |
namespace |
string | null | |
schemaElementKind |
EdmSchemaElementKind | |
type |
IEdmTypeReference |
IEdmType¶
| Name | Type | Description |
|---|---|---|
typeKind |
EdmTypeKind |
IEdmTypeReference¶
| Name | Type | Description |
|---|---|---|
definition |
IEdmType | |
isNullable |
boolean |
IEdmVocabularyAnnotatable¶
IEdmVocabularyAnnotation¶
| Name | Type | Description |
|---|---|---|
qualifier |
string | null | |
target |
IEdmVocabularyAnnotatable | |
term |
IEdmTerm | |
usesDefault |
boolean | |
value |
IEdmExpression |
IFilterQueryValidator¶
IIdentity¶
| Name | Type | Description |
|---|---|---|
authenticationType |
string | null | |
isAuthenticated |
boolean | |
name |
string | null |
IntPtr¶
IODataQueryValidator¶
IOrderByQueryValidator¶
IPAddress¶
| Name | Type | Description |
|---|---|---|
address |
integer(int64) | |
addressFamily |
AddressFamily | |
isIPv4MappedToIPv6 |
boolean | |
isIPv6LinkLocal |
boolean | |
isIPv6Multicast |
boolean | |
isIPv6SiteLocal |
boolean | |
isIPv6Teredo |
boolean | |
isIPv6UniqueLocal |
boolean | |
scopeId |
integer(int64) |
IResponseCookies¶
ISelectExpandQueryValidator¶
IServiceProvider¶
ISession¶
| Name | Type | Description |
|---|---|---|
id |
string | null | |
isAvailable |
boolean | |
keys |
Array<string> |
ISkipQueryValidator¶
ISkipTokenQueryValidator¶
ITopQueryValidator¶
KeySizes¶
| Name | Type | Description |
|---|---|---|
maxSize |
integer(int32) | |
minSize |
integer(int32) | |
skipSize |
integer(int32) |
LayoutKind¶
Type: integer(int32)
MemberInfo¶
| Name | Type | Description |
|---|---|---|
customAttributes |
Array<CustomAttributeData> | |
declaringType |
Type | |
isCollectible |
boolean | |
memberType |
MemberTypes | |
metadataToken |
integer(int32) | |
module |
Module | |
name |
string | null | |
reflectedType |
Type |
MemberTypes¶
Type: integer(int32)
MethodAttributes¶
Type: integer(int32)
MethodBase¶
| Name | Type | Description |
|---|---|---|
attributes |
MethodAttributes | |
callingConvention |
CallingConventions | |
containsGenericParameters |
boolean | |
customAttributes |
Array<CustomAttributeData> | |
declaringType |
Type | |
isAbstract |
boolean | |
isAssembly |
boolean | |
isCollectible |
boolean | |
isConstructedGenericMethod |
boolean | |
isConstructor |
boolean | |
isFamily |
boolean | |
isFamilyAndAssembly |
boolean | |
isFamilyOrAssembly |
boolean | |
isFinal |
boolean | |
isGenericMethod |
boolean | |
isGenericMethodDefinition |
boolean | |
isHideBySig |
boolean | |
isPrivate |
boolean | |
isPublic |
boolean | |
isSecurityCritical |
boolean | |
isSecuritySafeCritical |
boolean | |
isSecurityTransparent |
boolean | |
isSpecialName |
boolean | |
isStatic |
boolean | |
isVirtual |
boolean | |
memberType |
MemberTypes | |
metadataToken |
integer(int32) | |
methodHandle |
RuntimeMethodHandle | |
methodImplementationFlags |
MethodImplAttributes | |
module |
Module | |
name |
string | null | |
reflectedType |
Type |
MethodImplAttributes¶
Type: integer(int32)
MethodInfo¶
| Name | Type | Description |
|---|---|---|
attributes |
MethodAttributes | |
callingConvention |
CallingConventions | |
containsGenericParameters |
boolean | |
customAttributes |
Array<CustomAttributeData> | |
declaringType |
Type | |
isAbstract |
boolean | |
isAssembly |
boolean | |
isCollectible |
boolean | |
isConstructedGenericMethod |
boolean | |
isConstructor |
boolean | |
isFamily |
boolean | |
isFamilyAndAssembly |
boolean | |
isFamilyOrAssembly |
boolean | |
isFinal |
boolean | |
isGenericMethod |
boolean | |
isGenericMethodDefinition |
boolean | |
isHideBySig |
boolean | |
isPrivate |
boolean | |
isPublic |
boolean | |
isSecurityCritical |
boolean | |
isSecuritySafeCritical |
boolean | |
isSecurityTransparent |
boolean | |
isSpecialName |
boolean | |
isStatic |
boolean | |
isVirtual |
boolean | |
memberType |
MemberTypes | |
metadataToken |
integer(int32) | |
methodHandle |
RuntimeMethodHandle | |
methodImplementationFlags |
MethodImplAttributes | |
module |
Module | |
name |
string | null | |
reflectedType |
Type | |
returnParameter |
ParameterInfo | |
returnType |
Type | |
returnTypeCustomAttributes |
ICustomAttributeProvider |
Module¶
| Name | Type | Description |
|---|---|---|
assembly |
Assembly | |
customAttributes |
Array<CustomAttributeData> | |
fullyQualifiedName |
string | null | |
mdStreamVersion |
integer(int32) | |
metadataToken |
integer(int32) | |
moduleHandle |
ModuleHandle | |
moduleVersionId |
string(uuid) | |
name |
string | null | |
scopeName |
string | null |
ModuleHandle¶
| Name | Type | Description |
|---|---|---|
mdStreamVersion |
integer(int32) |
ODataPathSegment¶
| Name | Type | Description |
|---|---|---|
edmType |
IEdmType | |
identifier |
string | null |
ODataQueryContext¶
| Name | Type | Description |
|---|---|---|
defaultQueryConfigurations |
DefaultQueryConfigurations | |
elementClrType |
Type | |
elementType |
IEdmType | |
model |
IEdmModel | |
navigationSource |
IEdmNavigationSource | |
path |
Array<ODataPathSegment> | |
requestContainer |
IServiceProvider |
ODataRawQueryOptions¶
| Name | Type | Description |
|---|---|---|
apply |
string | null | |
compute |
string | null | |
count |
string | null | |
deltaToken |
string | null | |
expand |
string | null | |
filter |
string | null | |
format |
string | null | |
orderBy |
string | null | |
search |
string | null | |
select |
string | null | |
skip |
string | null | |
skipToken |
string | null | |
top |
string | null |
Oid¶
| Name | Type | Description |
|---|---|---|
friendlyName |
string | null | |
value |
string | null |
OrderByClause¶
| Name | Type | Description |
|---|---|---|
direction |
OrderByDirection | |
expression |
SingleValueNode | |
itemType |
IEdmTypeReference | |
rangeVariable |
RangeVariable | |
thenBy |
OrderByClause |
OrderByDirection¶
Type: integer(int32)
OrderByNode¶
| Name | Type | Description |
|---|---|---|
direction |
OrderByDirection |
OrderByQueryOption¶
| Name | Type | Description |
|---|---|---|
compute |
ComputeQueryOption | |
context |
ODataQueryContext | |
orderByClause |
OrderByClause | |
orderByNodes |
Array<OrderByNode> | |
rawValue |
string | null | |
validator |
IOrderByQueryValidator |
ParameterAttributes¶
Type: integer(int32)
ParameterInfo¶
| Name | Type | Description |
|---|---|---|
attributes |
ParameterAttributes | |
customAttributes |
Array<CustomAttributeData> | |
defaultValue |
||
hasDefaultValue |
boolean | |
isIn |
boolean | |
isLcid |
boolean | |
isOptional |
boolean | |
isOut |
boolean | |
isRetval |
boolean | |
member |
MemberInfo | |
metadataToken |
integer(int32) | |
name |
string | null | |
parameterType |
Type | |
position |
integer(int32) | |
rawDefaultValue |
PathString¶
| Name | Type | Description |
|---|---|---|
hasValue |
boolean | |
value |
string | null |
PipeWriter¶
| Name | Type | Description |
|---|---|---|
canGetUnflushedBytes |
boolean | |
unflushedBytes |
integer(int64) |
PropertyAttributes¶
Type: integer(int32)
PropertyInfo¶
| Name | Type | Description |
|---|---|---|
attributes |
PropertyAttributes | |
canRead |
boolean | |
canWrite |
boolean | |
customAttributes |
Array<CustomAttributeData> | |
declaringType |
Type | |
getMethod |
MethodInfo | |
isCollectible |
boolean | |
isSpecialName |
boolean | |
memberType |
MemberTypes | |
metadataToken |
integer(int32) | |
module |
Module | |
name |
string | null | |
propertyType |
Type | |
reflectedType |
Type | |
setMethod |
MethodInfo |
PublicKey¶
| Name | Type | Description |
|---|---|---|
encodedKeyValue |
AsnEncodedData | |
encodedParameters |
AsnEncodedData | |
key |
AsymmetricAlgorithm | |
oid |
Oid |
QueryNodeKind¶
Type: integer(int32)
QueryString¶
| Name | Type | Description |
|---|---|---|
hasValue |
boolean | |
value |
string | null |
RangeVariable¶
| Name | Type | Description |
|---|---|---|
kind |
integer(int32) | |
name |
string | null | |
typeReference |
IEdmTypeReference |
RuntimeFieldHandle¶
| Name | Type | Description |
|---|---|---|
value |
IntPtr |
RuntimeMethodHandle¶
| Name | Type | Description |
|---|---|---|
value |
IntPtr |
RuntimeTypeHandle¶
| Name | Type | Description |
|---|---|---|
value |
IntPtr |
SafeWaitHandle¶
| Name | Type | Description |
|---|---|---|
isClosed |
boolean | |
isInvalid |
boolean |
SearchClause¶
| Name | Type | Description |
|---|---|---|
expression |
SingleValueNode |
SearchQueryOption¶
| Name | Type | Description |
|---|---|---|
context |
ODataQueryContext | |
rawValue |
string | null | |
resultClrType |
Type | |
searchClause |
SearchClause |
SecurityRuleSet¶
Type: integer(int32)
SelectExpandClause¶
| Name | Type | Description |
|---|---|---|
allSelected |
boolean | |
selectedItems |
Array<SelectItem> |
SelectExpandQueryOption¶
| Name | Type | Description |
|---|---|---|
compute |
ComputeQueryOption | |
context |
ODataQueryContext | |
levelsMaxLiteralExpansionDepth |
integer(int32) | |
rawExpand |
string | null | |
rawSelect |
string | null | |
selectExpandClause |
SelectExpandClause | |
validator |
ISelectExpandQueryValidator |
SelectItem¶
SingleValueNode¶
| Name | Type | Description |
|---|---|---|
kind |
QueryNodeKind | |
typeReference |
IEdmTypeReference |
SkipQueryOption¶
| Name | Type | Description |
|---|---|---|
context |
ODataQueryContext | |
rawValue |
string | null | |
validator |
ISkipQueryValidator | |
value |
integer(int32) |
SkipTokenHandler¶
SkipTokenQueryOption¶
| Name | Type | Description |
|---|---|---|
context |
ODataQueryContext | |
handler |
SkipTokenHandler | |
rawValue |
string | null | |
validator |
ISkipTokenQueryValidator |
StringStringKeyValuePair¶
| Name | Type | Description |
|---|---|---|
key |
string | null | |
value |
string | null |
StringStringValuesKeyValuePair¶
| Name | Type | Description |
|---|---|---|
key |
string | null | |
value |
Array<string> |
StructLayoutAttribute¶
| Name | Type | Description |
|---|---|---|
typeId |
||
value |
LayoutKind |
TopQueryOption¶
| Name | Type | Description |
|---|---|---|
context |
ODataQueryContext | |
rawValue |
string | null | |
validator |
ITopQueryValidator | |
value |
integer(int32) |
TransformationNode¶
| Name | Type | Description |
|---|---|---|
kind |
TransformationNodeKind |
TransformationNodeKind¶
Type: integer(int32)
TranslationDTO¶
| Name | Type | Description |
|---|---|---|
fieldName |
string | null | |
languageCode |
string | null | |
translatedText |
string | null |
Type¶
| Name | Type | Description |
|---|---|---|
assembly |
Assembly | |
assemblyQualifiedName |
string | null | |
attributes |
TypeAttributes | |
baseType |
Type | |
containsGenericParameters |
boolean | |
customAttributes |
Array<CustomAttributeData> | |
declaringMethod |
MethodBase | |
declaringType |
Type | |
fullName |
string | null | |
genericParameterAttributes |
GenericParameterAttributes | |
genericParameterPosition |
integer(int32) | |
genericTypeArguments |
Array<Type> | |
guid |
string(uuid) | |
hasElementType |
boolean | |
isAbstract |
boolean | |
isAnsiClass |
boolean | |
isArray |
boolean | |
isAutoClass |
boolean | |
isAutoLayout |
boolean | |
isByRef |
boolean | |
isByRefLike |
boolean | |
isClass |
boolean | |
isCollectible |
boolean | |
isCOMObject |
boolean | |
isConstructedGenericType |
boolean | |
isContextful |
boolean | |
isEnum |
boolean | |
isExplicitLayout |
boolean | |
isFunctionPointer |
boolean | |
isGenericMethodParameter |
boolean | |
isGenericParameter |
boolean | |
isGenericType |
boolean | |
isGenericTypeDefinition |
boolean | |
isGenericTypeParameter |
boolean | |
isImport |
boolean | |
isInterface |
boolean | |
isLayoutSequential |
boolean | |
isMarshalByRef |
boolean | |
isNested |
boolean | |
isNestedAssembly |
boolean | |
isNestedFamANDAssem |
boolean | |
isNestedFamily |
boolean | |
isNestedFamORAssem |
boolean | |
isNestedPrivate |
boolean | |
isNestedPublic |
boolean | |
isNotPublic |
boolean | |
isPointer |
boolean | |
isPrimitive |
boolean | |
isPublic |
boolean | |
isSealed |
boolean | |
isSecurityCritical |
boolean | |
isSecuritySafeCritical |
boolean | |
isSecurityTransparent |
boolean | |
isSerializable |
boolean | |
isSignatureType |
boolean | |
isSpecialName |
boolean | |
isSZArray |
boolean | |
isTypeDefinition |
boolean | |
isUnicodeClass |
boolean | |
isUnmanagedFunctionPointer |
boolean | |
isValueType |
boolean | |
isVariableBoundArray |
boolean | |
isVisible |
boolean | |
memberType |
MemberTypes | |
metadataToken |
integer(int32) | |
module |
Module | |
name |
string | null | |
namespace |
string | null | |
reflectedType |
Type | |
structLayoutAttribute |
StructLayoutAttribute | |
typeHandle |
RuntimeTypeHandle | |
typeInitializer |
ConstructorInfo | |
underlyingSystemType |
Type |
TypeAttributes¶
Type: integer(int32)
TypeInfo¶
| Name | Type | Description |
|---|---|---|
assembly |
Assembly | |
assemblyQualifiedName |
string | null | |
attributes |
TypeAttributes | |
baseType |
Type | |
containsGenericParameters |
boolean | |
customAttributes |
Array<CustomAttributeData> | |
declaredConstructors |
Array<ConstructorInfo> | |
declaredEvents |
Array<EventInfo> | |
declaredFields |
Array<FieldInfo> | |
declaredMembers |
Array<MemberInfo> | |
declaredMethods |
Array<MethodInfo> | |
declaredNestedTypes |
Array<TypeInfo> | |
declaredProperties |
Array<PropertyInfo> | |
declaringMethod |
MethodBase | |
declaringType |
Type | |
fullName |
string | null | |
genericParameterAttributes |
GenericParameterAttributes | |
genericParameterPosition |
integer(int32) | |
genericTypeArguments |
Array<Type> | |
genericTypeParameters |
Array<Type> | |
guid |
string(uuid) | |
hasElementType |
boolean | |
implementedInterfaces |
Array<Type> | |
isAbstract |
boolean | |
isAnsiClass |
boolean | |
isArray |
boolean | |
isAutoClass |
boolean | |
isAutoLayout |
boolean | |
isByRef |
boolean | |
isByRefLike |
boolean | |
isClass |
boolean | |
isCollectible |
boolean | |
isCOMObject |
boolean | |
isConstructedGenericType |
boolean | |
isContextful |
boolean | |
isEnum |
boolean | |
isExplicitLayout |
boolean | |
isFunctionPointer |
boolean | |
isGenericMethodParameter |
boolean | |
isGenericParameter |
boolean | |
isGenericType |
boolean | |
isGenericTypeDefinition |
boolean | |
isGenericTypeParameter |
boolean | |
isImport |
boolean | |
isInterface |
boolean | |
isLayoutSequential |
boolean | |
isMarshalByRef |
boolean | |
isNested |
boolean | |
isNestedAssembly |
boolean | |
isNestedFamANDAssem |
boolean | |
isNestedFamily |
boolean | |
isNestedFamORAssem |
boolean | |
isNestedPrivate |
boolean | |
isNestedPublic |
boolean | |
isNotPublic |
boolean | |
isPointer |
boolean | |
isPrimitive |
boolean | |
isPublic |
boolean | |
isSealed |
boolean | |
isSecurityCritical |
boolean | |
isSecuritySafeCritical |
boolean | |
isSecurityTransparent |
boolean | |
isSerializable |
boolean | |
isSignatureType |
boolean | |
isSpecialName |
boolean | |
isSZArray |
boolean | |
isTypeDefinition |
boolean | |
isUnicodeClass |
boolean | |
isUnmanagedFunctionPointer |
boolean | |
isValueType |
boolean | |
isVariableBoundArray |
boolean | |
isVisible |
boolean | |
memberType |
MemberTypes | |
metadataToken |
integer(int32) | |
module |
Module | |
name |
string | null | |
namespace |
string | null | |
reflectedType |
Type | |
structLayoutAttribute |
StructLayoutAttribute | |
typeHandle |
RuntimeTypeHandle | |
typeInitializer |
ConstructorInfo | |
underlyingSystemType |
Type |
TypeObjectKeyValuePair¶
| Name | Type | Description |
|---|---|---|
key |
Type | |
value |
UserDTO¶
| Name | Type | Description |
|---|---|---|
anbacceptanceDate |
string(date-time) | null | |
anbversion |
string | null | |
assignedCustomerSupportGuid |
string(uuid) | null | |
createdBy |
string(uuid) | |
createdDate |
string(date-time) | |
department |
string | null | |
email |
string | null | |
emailSubscriptions |
string | null | |
firstName |
string | null | |
idpid |
string | null | |
idpname |
string | null | |
invitationDate |
string(date-time) | null | |
invitedBy |
string(uuid) | null | |
jobTitle |
string | null | |
jobTitleAdditional |
string | null | |
jobTitleId |
integer(int32) | null | |
languagePreference |
string | null | |
lastLoginDate |
string(date-time) | null | |
lastName |
string | null | |
modifiedBy |
string(uuid) | null | |
modifiedDate |
string(date-time) | null | |
notificationOptions |
string | null | |
salutation |
string | null | |
status |
string | null | |
statusId |
integer(int32) | null | |
telephone |
string | null | |
title |
string | null | |
uipreferences |
string | null | |
userGuid |
string(uuid) | |
userId |
integer(int32) |
WaitHandle¶
| Name | Type | Description |
|---|---|---|
handle |
IntPtr | |
safeWaitHandle |
SafeWaitHandle |
WebSocketManager¶
| Name | Type | Description |
|---|---|---|
isWebSocketRequest |
boolean | |
webSocketRequestedProtocols |
Array<string> |
X500DistinguishedName¶
| Name | Type | Description |
|---|---|---|
name |
string | null | |
oid |
Oid | |
rawData |
string(byte) | null |
X509Certificate2¶
| Name | Type | Description |
|---|---|---|
archived |
boolean | |
extensions |
Array<X509Extension> | |
friendlyName |
string | null | |
handle |
IntPtr | |
hasPrivateKey |
boolean | |
issuer |
string | null | |
issuerName |
X500DistinguishedName | |
notAfter |
string(date-time) | |
notBefore |
string(date-time) | |
privateKey |
AsymmetricAlgorithm | |
publicKey |
PublicKey | |
rawData |
string(byte) | null | |
rawDataMemory |
ByteReadOnlyMemory | |
serialNumber |
string | null | |
serialNumberBytes |
ByteReadOnlyMemory | |
signatureAlgorithm |
Oid | |
subject |
string | null | |
subjectName |
X500DistinguishedName | |
thumbprint |
string | null | |
version |
integer(int32) |
X509Extension¶
| Name | Type | Description |
|---|---|---|
critical |
boolean | |
oid |
Oid | |
rawData |
string(byte) | null |
Security schemes¶
| Name | Type | Scheme | Description |
|---|---|---|---|
| Bearer | apiKey | Please provide a valid JWT access token. |
Tags¶
| Name | Description |
|---|---|
| ApplicationAccessScopeMapper | |
| Applications |